------------------------------------------------------------------------
r23 | gbazin | 2004-02-29 13:04:29 +0100 (Sun, 29 Feb 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/NEWS
   M /trunk/configure.ac

* ALL: release of libdts-0.0.2

------------------------------------------------------------------------
r22 | gbazin | 2004-02-29 12:43:19 +0100 (Sun, 29 Feb 2004) | 2 lines
Changed paths:
   M /trunk/libao/audio_out.c
   M /trunk/libao/audio_out_internal.h
   M /trunk/libao/audio_out_wav.c
   M /trunk/libao/convert2s16.c

* libao/*: modified wav audio_out to output float multichannel wav files.

------------------------------------------------------------------------
r21 | gbazin | 2004-02-25 21:44:33 +0100 (Wed, 25 Feb 2004) | 2 lines
Changed paths:
   M /trunk/vc++/inttypes.h
   M /trunk/vc++/libao.dsp

* vc++/inttypes.h, vc++/libao.dsp: msvc fixes, courtesy of John Adcock.

------------------------------------------------------------------------
r20 | gbazin | 2004-02-25 14:53:52 +0100 (Wed, 25 Feb 2004) | 3 lines
Changed paths:
   M /trunk/libdts/dts_internal.h
   M /trunk/vc++/libdts.dsp

* libdts/dts_internal.h: removed unused prototypes.
* vc++/libdts.dsp: include the right files (not tested).

------------------------------------------------------------------------
r19 | sam | 2004-02-25 14:03:33 +0100 (Wed, 25 Feb 2004) | 5 lines
Changed paths:
   M /trunk/bootstrap
   M /trunk/configure.ac
   M /trunk/debian/rules
   M /trunk/libdts/Makefile.am
   M /trunk/src/Makefile.am

  * configure.ac libdts/Makefile.am:
    + On non-MS systems, build libdts_pic.a in addition to libdts.a.
  * bootstrap:
    + Disabled libtool until we build a real shared library.

------------------------------------------------------------------------
r18 | sam | 2004-02-24 20:39:03 +0100 (Tue, 24 Feb 2004) | 7 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/debian/changelog
   M /trunk/libdts/Makefile.am

  * libdts/Makefile.am:
    + Added missing tables_vq.h to the distributed files.
  * debian/changelog:
    + First Debian upload.
  * ChangeLog:
    + Generated a changelog using svn log -v.

------------------------------------------------------------------------
r17 | sam | 2004-02-24 20:30:41 +0100 (Tue, 24 Feb 2004) | 5 lines
Changed paths:
   M /trunk
   M /trunk/Makefile.am
   M /trunk/debian/Makefile.am
   D /trunk/debian/dirs
   M /trunk/debian/rules
   M /trunk/include/Makefile.am

  * include/Makefile.am:
    + Install dts.h directly into /usr/include.
  * debian/rules:
    + Updated accordingly.

------------------------------------------------------------------------
r16 | sam | 2004-02-24 20:17:59 +0100 (Tue, 24 Feb 2004) | 13 lines
Changed paths:
   M /trunk
   D /trunk/INSTALL
   M /trunk/Makefile.am
   M /trunk/README
   M /trunk/bootstrap
   A /trunk/configure.ac (from /trunk/configure.in:14)
   D /trunk/configure.in
   M /trunk/include
   D /trunk/include/config.h.in

  * configure.ac:
    + Renamed configure.in into configure.ac.
    + Renamed package to libdts (was dtsdec).
    + Put config.h into . instead of include/.
  * bootstrap:
    + Imported libdvdcss's bootstrap script (handles multiple automake
      installations).
  * Makefile.am:
    + Split SUBDIRS into SUBDIRS and DIST_SUBDIRS.
  * README:
    + Merged INSTALL into README.
    + Fixed a couple of URLs.

------------------------------------------------------------------------
r15 | sam | 2004-02-24 20:16:03 +0100 (Tue, 24 Feb 2004) | 3 lines
Changed paths:
   M /trunk/libdts/bitstream.c

  * bitstream.c:
    + Minor 64 bit fix.

------------------------------------------------------------------------
r14 | sam | 2004-02-24 18:15:46 +0100 (Tue, 24 Feb 2004) | 10 lines
Changed paths:
   M /trunk/bootstrap
   M /trunk/configure.in
   M /trunk/include
   M /trunk/libdts/Makefile.am
   M /trunk/src/Makefile.am

  * bootstrap:
    + Abort if any of the autotools fails.
    + Check for libtoolize's real name (can be glibtoolize under OS X).
    + Move ltmain.sh to autotools/ if libtoolize created it in '.'.
    + Call autoconf before autoheader and automake to avoid unnecessary calls
      to automake during the make process.
  * configure.in:
    + Use AM_CONFIG_HEADER instead of AC_CONFIG_HEADERS.
    + Substitute LIBAO_LIBS and LIBDTS_LIBS so that automake does not fail.

------------------------------------------------------------------------
r13 | sam | 2004-02-24 17:49:27 +0100 (Tue, 24 Feb 2004) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.in
   A /trunk/debian
   A /trunk/debian/Makefile.am
   A /trunk/debian/changelog
   A /trunk/debian/compat
   A /trunk/debian/control
   A /trunk/debian/copyright
   A /trunk/debian/dirs
   A /trunk/debian/rules

  * debian/*:
    + Added Debian packaging information.

------------------------------------------------------------------------
r12 | gbazin | 2004-02-23 23:37:39 +0100 (Mon, 23 Feb 2004) | 2 lines
Changed paths:
   M /trunk/src/dtsdec.c

* src/dtsdec.c: make sure we read enough data for dts_syncinfo().

------------------------------------------------------------------------
r11 | gbazin | 2004-02-13 18:57:21 +0100 (Fri, 13 Feb 2004) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/NEWS
   M /trunk/TODO
   M /trunk/configure.in
   M /trunk/libdts/parse.c
   M /trunk/libdts/tables_adpcm.h
   M /trunk/libdts/tables_quantization.h
   A /trunk/libdts/tables_vq.h

* ALL: bumped version number to 0.0.2-svn
* libdts/parse.c, libdts/tables_vq.h: added support for high frequencies VQ.

------------------------------------------------------------------------
r10 | gbazin | 2004-02-11 19:01:25 +0100 (Wed, 11 Feb 2004) | 3 lines
Changed paths:
   M /trunk/README
   M /trunk/libdts/dts_internal.h

* README: remove useless line.
* libdts/dts_internal.h: fixed array size for high freq VQ.

------------------------------------------------------------------------
r9 | gbazin | 2004-02-11 18:58:49 +0100 (Wed, 11 Feb 2004) | 2 lines
Changed paths:
   M /trunk/test

* test: forgot the svn:ignore property for this directory.

------------------------------------------------------------------------
r8 | gbazin | 2004-02-11 18:57:53 +0100 (Wed, 11 Feb 2004) | 2 lines
Changed paths:
   M /trunk
   M /trunk/autotools
   M /trunk/doc
   M /trunk/include
   M /trunk/libao
   M /trunk/libdts
   M /trunk/src
   M /trunk/vc++

* ALL: added svn:ignore properties.

------------------------------------------------------------------------
r7 | bidon | 2004-02-08 21:49:14 +0100 (Sun, 08 Feb 2004) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/NEWS

* ALL: 0.0.1 release

------------------------------------------------------------------------
r6 | bidon | 2004-02-08 20:54:41 +0100 (Sun, 08 Feb 2004) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/NEWS
   M /trunk/README
   M /trunk/TODO
   M /trunk/configure.in
   M /trunk/include/dts.h
   M /trunk/libdts/bitstream.c
   M /trunk/libdts/bitstream.h
   M /trunk/libdts/downmix.c
   M /trunk/libdts/dts_internal.h
   M /trunk/libdts/parse.c
   M /trunk/libdts/tables.h
   M /trunk/libdts/tables_adpcm.h
   M /trunk/libdts/tables_fir.h
   M /trunk/libdts/tables_huffman.h
   M /trunk/libdts/tables_quantization.h
   M /trunk/src/dtsdec.c
   M /trunk/src/extract_dts.c
   M /trunk/test/compare.c

* ALL: preparing for the first release.

------------------------------------------------------------------------
r5 | gbazin | 2004-02-08 19:52:52 +0100 (Sun, 08 Feb 2004) | 2 lines
Changed paths:
   M /trunk/libdts/downmix.c
   M /trunk/libdts/parse.c

* libdts/downmix.c: a few correction to the input/output downmixing table.

------------------------------------------------------------------------
r4 | gbazin | 2004-02-08 15:21:23 +0100 (Sun, 08 Feb 2004) | 2 lines
Changed paths:
   M /trunk/libdts/parse.c

* libdts/parse.c: support for LFE channel.

------------------------------------------------------------------------
r3 | gbazin | 2004-02-08 02:50:58 +0100 (Sun, 08 Feb 2004) | 3 lines
Changed paths:
   M /trunk/libdts/dts_internal.h
   M /trunk/libdts/parse.c

* libdts/dts_internal.h: added debug flag and high freq VQ array.
* libdts/parse.c: make sure the VQ encoded high frequencies are initialised to 0 (we can't decode them for now).

------------------------------------------------------------------------
r2 | gbazin | 2004-02-06 23:34:19 +0100 (Fri, 06 Feb 2004) | 2 lines
Changed paths:
   M /trunk/libdts/bitstream.h

* libdts/bitstream.h: fixed stupid endianness mistake.

------------------------------------------------------------------------
r1 | gbazin | 2004-02-05 01:34:30 +0100 (Thu, 05 Feb 2004) | 2 lines
Changed paths:
   A /branches
   A /tags
   A /trunk
   A /trunk/AUTHORS
   A /trunk/COPYING
   A /trunk/ChangeLog
   A /trunk/INSTALL
   A /trunk/Makefile.am
   A /trunk/NEWS
   A /trunk/README
   A /trunk/TODO
   A /trunk/acinclude.m4
   A /trunk/autotools
   A /trunk/autotools/Makefile.am
   A /trunk/bootstrap
   A /trunk/configure.in
   A /trunk/doc
   A /trunk/doc/Makefile.am
   A /trunk/doc/libdts.txt
   A /trunk/include
   A /trunk/include/Makefile.am
   A /trunk/include/audio_out.h
   A /trunk/include/config.h.in
   A /trunk/include/dts.h
   A /trunk/include/tendra.h
   A /trunk/libao
   A /trunk/libao/Makefile.am
   A /trunk/libao/audio_out.c
   A /trunk/libao/audio_out_aif.c
   A /trunk/libao/audio_out_al.c
   A /trunk/libao/audio_out_float.c
   A /trunk/libao/audio_out_internal.h
   A /trunk/libao/audio_out_null.c
   A /trunk/libao/audio_out_oss.c
   A /trunk/libao/audio_out_peak.c
   A /trunk/libao/audio_out_solaris.c
   A /trunk/libao/audio_out_wav.c
   A /trunk/libao/audio_out_win.c
   A /trunk/libao/configure.incl
   A /trunk/libao/convert2s16.c
   A /trunk/libdts
   A /trunk/libdts/Makefile.am
   A /trunk/libdts/bitstream.c
   A /trunk/libdts/bitstream.h
   A /trunk/libdts/configure.incl
   A /trunk/libdts/downmix.c
   A /trunk/libdts/dts_internal.h
   A /trunk/libdts/libdts.pc.in
   A /trunk/libdts/parse.c
   A /trunk/libdts/tables.h
   A /trunk/libdts/tables_adpcm.h
   A /trunk/libdts/tables_fir.h
   A /trunk/libdts/tables_huffman.h
   A /trunk/libdts/tables_quantization.h
   A /trunk/src
   A /trunk/src/Makefile.am
   A /trunk/src/configure.incl
   A /trunk/src/dtsdec.1
   A /trunk/src/dtsdec.c
   A /trunk/src/extract_dts.1
   A /trunk/src/extract_dts.c
   A /trunk/src/getopt.c
   A /trunk/src/getopt.h
   A /trunk/src/gettimeofday.c
   A /trunk/src/gettimeofday.h
   A /trunk/test
   A /trunk/test/Makefile.am
   A /trunk/test/compare.c
   A /trunk/test/compile
   A /trunk/test/globals
   A /trunk/test/regression
   A /trunk/test/tests
   A /trunk/vc++
   A /trunk/vc++/Makefile.am
   A /trunk/vc++/config.h
   A /trunk/vc++/dtsdec.dsp
   A /trunk/vc++/dtsdec.dsw
   A /trunk/vc++/inttypes.h
   A /trunk/vc++/libao.dsp
   A /trunk/vc++/libdts.dsp

Inital import

------------------------------------------------------------------------
